commit:     68ae919de86ae4953c4fd10916255419375cb942
Author:     Theo Anderson <telans <AT> posteo <DOT> de>
AuthorDate: Thu Dec 31 08:08:13 2020 +0000
Commit:     Theo Anderson <telans <AT> posteo <DOT> de>
CommitDate: Thu Dec 31 08:08:13 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=68ae919d

net-p2p/monero: bump to 0.17.1.8

Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Theo Anderson <telans <AT> posteo.de>

 net-p2p/monero/Manifest               |   1 +
 net-p2p/monero/monero-0.17.1.8.ebuild | 111 ++++++++++++++++++++++++++++++++++
 2 files changed, 112 insertions(+)

diff --git a/net-p2p/monero/Manifest b/net-p2p/monero/Manifest
index 28600df9..046d17b4 100644
--- a/net-p2p/monero/Manifest
+++ b/net-p2p/monero/Manifest
@@ -1 +1,2 @@
 DIST monero-0.17.1.7.tar.gz 10598750 BLAKE2B 
03a80f3c38bc1b643d8d9ddba4ee1de59e0f4c6d66cfc5dcb700d19659a5cb66add4fcf1320c1ed2b7dfa15fdfe9548eb758e67661832f9da7bd0e173b5a0ae1
 SHA512 
b049a738eb5752a620fc19dfafd5e2996d3f33d89737774264a5ef69b7fcfcd9fe852b89e35187486f48fdc8bb73c2010a1917d1ed7fcb4f1f87b18a6bb4c2d5
+DIST monero-0.17.1.8.tar.gz 10603308 BLAKE2B 
f515c90fac83bcf866cc042b34be38d366c7e48a70db76b2a900e9922ca460db7604aa15f4f03b2e5301647a75f40ad0f04c2dadd416a079da2f77be46d584a2
 SHA512 
e9cde3c77d71dd468237e823f647551fb3fef89f7132ebe2be1ac10545dd926f2d2b07794af4664d82e4d19b8b3b8b69fa090ed64ccab7ca63ffae3c0559eec0

diff --git a/net-p2p/monero/monero-0.17.1.8.ebuild 
b/net-p2p/monero/monero-0.17.1.8.ebuild
new file mode 100644
index 00000000..29d4250f
--- /dev/null
+++ b/net-p2p/monero/monero-0.17.1.8.ebuild
@@ -0,0 +1,111 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake systemd
+
+DESCRIPTION="The secure, private, untraceable cryptocurrency"
+HOMEPAGE="https://github.com/monero-project/monero";
+SRC_URI="https://github.com/monero-project/monero/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="+daemon libressl readline +tools +wallet-cli +wallet-rpc"
+REQUIRED_USE="|| ( daemon tools wallet-cli wallet-rpc )"
+RESTRICT="test"
+
+DEPEND="
+       acct-group/monero
+       acct-user/monero
+       dev-libs/boost:=[nls,threads]
+       dev-libs/libsodium:=
+       dev-libs/randomx
+       dev-libs/rapidjson
+       dev-libs/supercop
+       net-dns/unbound:=[threads]
+       net-libs/czmq:=
+       net-libs/miniupnpc
+       !libressl? ( dev-libs/openssl:= )
+       libressl? ( dev-libs/libressl:= )
+       readline? ( sys-libs/readline:0= )
+"
+RDEPEND="${DEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-0.17.1.7-linkjobs.patch"
+       "${FILESDIR}/${PN}-0.17.1.7-unbundle-dependencies.patch"
+)
+
+src_configure() {
+       local mycmakeargs=(
+               # TODO: Update CMake to install built libraries (help wanted)
+               -DBUILD_SHARED_LIBS=OFF
+               -DMANUAL_SUBMODULES=ON
+               -DMONERO_PARALLEL_LINK_JOBS=1
+               -DUSE_DEVICE_TREZOR=OFF
+       )
+
+       cmake_src_configure
+}
+
+src_compile() {
+       local targets=()
+       use daemon && targets+=(daemon)
+       use tools && 
targets+=(blockchain_{ancestry,blackball,db,depth,export,import,prune,prune_known_spent_data,stats,usage})
+       use wallet-cli && targets+=(simplewallet)
+       use wallet-rpc && targets+=(wallet_rpc_server)
+       cmake_build ${targets[@]}
+}
+
+src_install() {
+       einstalldocs
+
+       # Install all binaries.
+       find "${BUILD_DIR}/bin/" -type f -executable -print0 |
+               while IFS= read -r -d '' line; do
+                       dobin "$line"
+               done
+
+       if use daemon; then
+               dodoc utils/conf/monerod.conf
+
+               # data-dir
+               keepdir /var/lib/monero
+               fowners monero:monero /var/lib/monero
+               fperms 0755 /var/lib/monero
+
+               # log-file dir
+               keepdir /var/log/monero
+               fowners monero:monero /var/log/monero
+               fperms 0755 /var/log/monero
+
+               # /etc/monero/monerod.conf
+               insinto /etc/monero
+               doins "${FILESDIR}/monerod.conf"
+
+               # OpenRC
+               newconfd "${FILESDIR}/monerod.confd" monerod
+               newinitd "${FILESDIR}/monerod.initd" monerod
+
+               # systemd
+               systemd_dounit "${FILESDIR}/monerod.service"
+       fi
+}
+
+pkg_postinst() {
+       if use daemon; then
+               elog "Start the Monero P2P daemon as a system service with"
+               elog "'rc-service monerod start'. Enable it at startup with"
+               elog "'rc-update add monerod default'."
+               elog
+               elog "Run monerod status as any user to get sync status and 
other stats."
+               elog
+               elog "The Monero blockchain can take up a lot of space (80 GiB) 
and is stored"
+               elog "in /var/lib/monero by default. You may want to enable 
pruning by adding"
+               elog "'prune-blockchain=1' to /etc/monero/monerod.conf to prune 
the blockchain"
+               elog "or move the data directory to another disk."
+       fi
+}

Reply via email to